Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.ptg
Class DeletedRef3DPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.DeletedRef3DPtg

All Implemented Interfaces:
  java.lang.Cloneable, WorkbookDependentFormula

    public final class DeletedRef3DPtg

extends OperandPtg
implements WorkbookDependentFormula

Title: Deleted Reference 3D Ptg

Description: Defined a cell in extern sheet.

REFERENCE:

Version:
  1.0-pre
Author:
  Patrick Luby

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`DeletedRef3DPtg(int externSheetIndex)`
`DeletedRef3DPtg(LittleEndianInput in)` Creates new DeletedRef3DPtg

Method Summary
`byte` | `getDefaultOperandClass()`
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### DeletedRef3DPtg

    public DeletedRef3DPtg(LittleEndianInput in)

  Creates new DeletedRef3DPtg

### DeletedRef3DPtg

    public DeletedRef3DPtg(int externSheetIndex)

Method Detail

### toFormulaString

    public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

  Specified by:
    `toFormulaString` in interface `WorkbookDependentFormula`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD